net.dontdrinkandroot.lastfm.api.model

## Class Event

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Event

All Implemented Interfaces:
  Serializable, ArtistsEntity, AttendanceEntity, CancelledEntity, DescriptionEntity, EndDateEntity, Entity, HeadlinerEntity, IdEntity, ImageEntity, MachineTagEntity, ReviewsEntity, StartDateEntity, TicketsEntity, TitleEntity, UrlEntity, VenueEntity, WebsiteEntity

    public class Event
    extends LfmEntity
    implements IdEntity, TitleEntity, VenueEntity, StartDateEntity, EndDateEntity, AttendanceEntity, ReviewsEntity, MachineTagEntity, ImageEntity, UrlEntity, DescriptionEntity, WebsiteEntity, CancelledEntity, TicketsEntity, ArtistsEntity, HeadlinerEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Event(Element element)` Create an Event from an XML Element.

### Method Summary

Methods
`List<Artist>` `getArtists()`
`Integer` `getAttendance()`
`String` `getDescription()`
`Date` `getEndDate()`
`Artist` `getHeadliner()`
`Long` `getId()`
`Map<ImageSize,URL>` `getImages()`
`String` `getMachineTag()`
`Integer` `getReviews()`
`Date` `getStartDate()`
`List<Ticket>` `getTickets()`
`String` `getTitle()`
`URL` `getUrl()`
`Venue` `getVenue()`
`URL` `getWebsite()`
`Boolean` `isCancelled()`
`void` `setArtists(List<Artist> artists)`
`void` `setAttendance(Integer attendance)`
`void` `setCancelled(Boolean cancelled)`
`void` `setDescription(String description)`
`void` `setEndDate(Date date)`
`void` `setHeadliner(Artist headLiner)`
`void` `setId(Long id)`
`void` `setImages(Map<ImageSize,URL> images)`
`void` `setMachineTag(String machineTag)`
`void` `setReviews(Integer reviews)`
`void` `setStartDate(Date date)`
`void` `setTickets(List<Ticket> tickets)`
`void` `setTitle(String title)`
`void` `setUrl(URL url)`
`void` `setVenue(Venue venue)`
`void` `setWebsite(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Event

    public Event(Element element)

Create an Event from an XML Element.

Parameters:
  `element` - The XML Element to create the Event from.

### Method Detail

#### setVenue

    public void setVenue(Venue venue)

Specified by:
  `setVenue` in interface `VenueEntity`

#### getVenue

    public final Venue getVenue()

Specified by:
  `getVenue` in interface `VenueEntity`

#### getUrl

    public URL getUrl()

Specified by:
  `getUrl` in interface `UrlEntity`

#### setUrl

    public void setUrl(URL url)

Specified by:
  `setUrl` in interface `UrlEntity`

#### setTitle

    public final void setTitle(String title)

Specified by:
  `setTitle` in interface `TitleEntity`

#### getTitle

    public final String getTitle()

Specified by:
  `getTitle` in interface `TitleEntity`

#### getId

    public final Long getId()

Specified by:
  `getId` in interface `IdEntity`

#### setId

    public final void setId(Long id)

Specified by:
  `setId` in interface `IdEntity`

#### getImages

    public Map<ImageSize,URL> getImages()

Specified by:
  `getImages` in interface `ImageEntity`

#### setImages

    public void setImages(Map<ImageSize,URL> images)

Specified by:
  `setImages` in interface `ImageEntity`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `DescriptionEntity`

#### setDescription

    public void setDescription(String description)

Specified by:
  `setDescription` in interface `DescriptionEntity`

#### getWebsite

    public URL getWebsite()

Specified by:
  `getWebsite` in interface `WebsiteEntity`

#### setWebsite

    public void setWebsite(URL url)

Specified by:
  `setWebsite` in interface `WebsiteEntity`

#### getHeadliner

    public Artist getHeadliner()

Specified by:
  `getHeadliner` in interface `HeadlinerEntity`

#### setHeadliner

    public void setHeadliner(Artist headLiner)

Specified by:
  `setHeadliner` in interface `HeadlinerEntity`

#### getArtists

    public List<Artist> getArtists()

Specified by:
  `getArtists` in interface `ArtistsEntity`

#### setArtists

    public void setArtists(List<Artist> artists)

Specified by:
  `setArtists` in interface `ArtistsEntity`

#### getTickets

    public List<Ticket> getTickets()

Specified by:
  `getTickets` in interface `TicketsEntity`

#### setTickets

    public void setTickets(List<Ticket> tickets)

Specified by:
  `setTickets` in interface `TicketsEntity`

#### isCancelled

    public Boolean isCancelled()

Specified by:
  `isCancelled` in interface `CancelledEntity`

#### setCancelled

    public void setCancelled(Boolean cancelled)

Specified by:
  `setCancelled` in interface `CancelledEntity`

#### getMachineTag

    public String getMachineTag()

Specified by:
  `getMachineTag` in interface `MachineTagEntity`

#### setMachineTag

    public void setMachineTag(String machineTag)

Specified by:
  `setMachineTag` in interface `MachineTagEntity`

#### getReviews

    public Integer getReviews()

Specified by:
  `getReviews` in interface `ReviewsEntity`

#### setReviews

    public void setReviews(Integer reviews)

Specified by:
  `setReviews` in interface `ReviewsEntity`

#### getAttendance

    public Integer getAttendance()

Specified by:
  `getAttendance` in interface `AttendanceEntity`

#### setAttendance

    public void setAttendance(Integer attendance)

Specified by:
  `setAttendance` in interface `AttendanceEntity`

#### getEndDate

    public Date getEndDate()

Specified by:
  `getEndDate` in interface `EndDateEntity`

#### setEndDate

    public void setEndDate(Date date)

Specified by:
  `setEndDate` in interface `EndDateEntity`

#### getStartDate

    public Date getStartDate()

Specified by:
  `getStartDate` in interface `StartDateEntity`

#### setStartDate

    public void setStartDate(Date date)

Specified by:
  `setStartDate` in interface `StartDateEntity`